Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Delete Webhook Endpoint

$ openai webhooks delete
DELETE
/webhook_endpoints/{webhook_endpoint_id}

Deletes a webhook endpoint for the authenticated project.

Delete Webhook Endpoint

openai webhooks delete \
  --api-key 'My API Key' \
  --webhook-endpoint-id whe_123
200 — Example
{
  "id": "id",
  "deleted": true,
  "object": "webhook_endpoint.deleted"
}
Parameters
--webhook-endpoint-id: string

The ID of the webhook endpoint to delete.

Returns
deleted_webhook_endpoint: object { id, deleted, object }
id: string

The ID of the deleted webhook endpoint.

deleted: boolean

Whether the endpoint was deleted.

object: "webhook_endpoint.deleted"

The object type, which is always webhook_endpoint.deleted.

Returns Examples
200 — Example
{
  "id": "id",
  "deleted": true,
  "object": "webhook_endpoint.deleted"
}